| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | Protected Attributes | List of all members
globjects::Capability Class Reference

`#include <globjects/include/globjects/Capability.h>`

## Public Member Functions
| Capability (gl::GLenum capability)
| Capability (gl::GLenum capability, bool enabled)
gl::GLenum | capability () const
void | enable ()
void | disable ()
bool | isEnabled () const
void | enable (int index)
void | disable (int index)
bool | isEnabled (int index) const
void | apply ()

## Protected Attributes
gl::GLenum | m_capability
bool | m_enabled
std::map< int, bool > | m_indexEnabled

## Constructor & Destructor Documentation

## ◆ Capability() [1/2]

globjects::Capability::Capability | ( | gl::GLenum | capability | ) |

## ◆ Capability() [2/2]

globjects::Capability::Capability | ( | gl::GLenum | capability,
|  | bool | enabled
| ) |  |

## Member Function Documentation

## ◆ capability()

gl::GLenum globjects::Capability::capability | ( |  | ) | const

## ◆ enable() [1/2]

void globjects::Capability::enable | ( |  | ) |

## ◆ disable() [1/2]

void globjects::Capability::disable | ( |  | ) |

## ◆ isEnabled() [1/2]

bool globjects::Capability::isEnabled | ( |  | ) | const

## ◆ enable() [2/2]

void globjects::Capability::enable | ( | int | index | ) |

## ◆ disable() [2/2]

void globjects::Capability::disable | ( | int | index | ) |

## ◆ isEnabled() [2/2]

bool globjects::Capability::isEnabled | ( | int | index | ) | const

## ◆ apply()

void globjects::Capability::apply | ( |  | ) |

## Member Data Documentation

## ◆ m_capability

gl::GLenum globjects::Capability::m_capability
| protected

## ◆ m_enabled

bool globjects::Capability::m_enabled
| protected

## ◆ m_indexEnabled

std::map<int, bool> globjects::Capability::m_indexEnabled
| protected

The documentation for this class was generated from the following file:

- Capability.h